Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Updates the specified webhook configuration
cURL
curl --request PATCH \ --url https://api.ultravox.ai/api/webhooks/{webhook_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "url": "<string>", "secrets": [ "<string>" ], "events": [] } '
import requests url = "https://api.ultravox.ai/api/webhooks/{webhook_id}" payload = { "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "url": "<string>", "secrets": ["<string>"], "events": [] } headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({ agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', url: '<string>', secrets: ['<string>'], events: [] }) }; fetch('https://api.ultravox.ai/api/webhooks/{webhook_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.ultravox.ai/api/webhooks/{webhook_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'agentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a', 'url' => '<string>', 'secrets' => [ '<string>' ], 'events' => [ ] ]), CURLOPT_HTTPHEADER => [ "Content-Type: application/json", "X-API-Key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.ultravox.ai/api/webhooks/{webhook_id}" payload := strings.NewReader("{\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"secrets\": [\n \"<string>\"\n ],\n \"events\": []\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("X-API-Key", "<api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://api.ultravox.ai/api/webhooks/{webhook_id}") .header("X-API-Key", "<api-key>") .header("Content-Type", "application/json") .body("{\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"secrets\": [\n \"<string>\"\n ],\n \"events\": []\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.ultravox.ai/api/webhooks/{webhook_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["X-API-Key"] = '<api-key>' request["Content-Type"] = 'application/json' request.body = "{\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"secrets\": [\n \"<string>\"\n ],\n \"events\": []\n}" response = http.request(request) puts response.read_body
{ "webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created": "2023-11-07T05:31:56Z", "url": "<string>", "events": [ "call.started" ], "status": "normal", "lastStatusChange": "2023-11-07T05:31:56Z", "recentFailures": [ { "timestamp": "2023-11-07T05:31:56Z", "failure": "<string>" } ], "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "secrets": [ "<string>" ] }
API key
If set, this webhook will be limited to calls with this agent.
200
120
call.started
call.joined
call.ended
call.billed
normal
unhealthy
A list of recent failures for this webhook, if any.
Show child attributes